package com.winhc.bigdata.spark.jobs

import com.winhc.bigdata.spark.utils.{CompanyForCidUtils, SparkUtils}
import org.apache.spark.sql.SparkSession

import scala.collection.mutable

/**
 * 专利
 * π
 */

object CompanyForCid {
  val tabMapping: Map[String, Seq[String]] =
    Map("ods_company_icp" -> Seq("domain", "new_cid"), //网站
      "ods_company_tm" -> Seq("reg_no", "new_cid"), //商标
      "ods_company_wechat" -> Seq("public_num", "new_cid"), //微信公众号
      "ods_company_app_info" -> Seq("name", "new_cid"), //产品信息
      "ods_company_own_tax" -> Seq("tax_balance","tax_category","tax_num", "new_cid"), //产品信息
      "ods_company_mortgage_info" -> Seq("reg_date","reg_num","amount", "new_cid") //产品信息
    )
//  winhc_eci_dev ods_company_own_tax tax_balance,tax_category,tax_num,new_cid

  def main(args: Array[String]): Unit = {
    val Array(space, sourceTable, cols) = args

    var config = mutable.Map(
      "spark.hadoop.odps.project.name" -> "winhc_eci_dev"
    )
    val spark: SparkSession = SparkUtils.InitEnv(this.getClass.getSimpleName, config)
    CompanyForCidUtils(spark, space, sourceTable, cols.split(",")).calc()
    spark.stop()
  }

}
