
package com.winhc.bigdata.spark.jobs.chance.table

import com.winhc.bigdata.spark.jobs.chance.CompanyChangeHandle
import com.winhc.bigdata.spark.utils.ChangeExtractUtils

/**
 * @Author: Yan Yongnian
 * @Date: 2020/8/3
 * @Description:
 */


//土地公示

case class company_land_publicity(equCols: Seq[String]) extends CompanyChangeHandle with Serializable {

  override def getLabel(oldMap: Map[String, String], newMap: Map[String, String]): String = {
    val str = ChangeExtractUtils.getTags(newMap, "地块公示", Array("project_name", "location", "application_name", "area", "final_price", "land_num"))
    str
  }

  override def getBizTime(newMap: Map[String, String]): String = newMap("publication_start_date")

  override def getUpdateTitle(newMap: Map[String, String]): String = getValueOrNull(newMap("title"), s"${newMap("title")}地块公示发生变更")

  override def getInsertTitle(newMap: Map[String, String]): String = getValueOrNull(newMap("title"), s"新增${newMap("title")}地块公示")
}
