
package com.winhc.bigdata.spark.jobs.chance.table

import com.winhc.bigdata.spark.jobs.chance.CompanyChangeHandle
import com.winhc.bigdata.spark.utils.ChangeExtractUtils

/**
 * @Author: Yan Yongnian
 * @Date: 2020/8/4
 * @Description:
 */


//行政处罚-信用中国

case class company_punishment_info_creditchina(equCols: Seq[String]) extends CompanyChangeHandle with Serializable {

  override def getLabel(oldMap: Map[String, String], newMap: Map[String, String]): String = {
    val str = ChangeExtractUtils.getTags(newMap, "行政处罚-信息中国", Array("punish_number", "punish_name", "reason", "area", "decision_date", "term"))
    str
  }

  override def getBizTime(newMap: Map[String, String]): String = newMap("decision_date")

  override def getUpdateTitle(newMap: Map[String, String]): String = getValueOrNull(newMap("punish_number"), s"${newMap("punish_number")}行政处罚-信用中国发生变更")

  override def getInsertTitle(newMap: Map[String, String]): String = getValueOrNull(newMap("punish_number"), s"新增${newMap("punish_number")}行政处罚-信用中国")
}
